Subject: Re: Timezones
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 3 Aug 2001 19:15:00 +0300

On Fri, 3 Aug 2001 14:07:31 +0200 , [email-masked] wrote:
> 
> Hi there!
> 
> I 've installed Cygwin on several machines now.
> On one machine (NT4) Cygwin uses my local time on the next (W2K) I get
> always GMT.
> Did I miss a configuration option during installation??
> 
> How can I convince Cygwin to use always my local time instead of GMT???

You can set the TZ env variable (export TZ=CET-1CED) this will make
your local time Central European with automatic daylight saving time.

If you have access to Linux (or some other UNICes with zic program), you
can compile a tzfile there and then copy it to your Cygwin's
/usr/local/etc/zoneinfo/localtime (read the zic man page).

I compiled zic and tzdump and it works fine in Cygwin too. I'll do my 
best to contribute the timezone package in the next weeks.

Ehud.

-- 
 Ehud Karni     Mivtach - Simon  Insurance   /"\
 Tel: +972-3-6212-757 Fax: +972-3-6292-544   \ /  ASCII Ribbon Campaign
 (USA) Fax and  voice  mail: 1-815-5509341    X   Against  HTML  Mail
     Better     Safe     Than     Sorry      / \
     mailto:[email-masked]    http://www.simonwiesel.co.il

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/